#!/bin/sh

set -e

. /usr/share/debconf/confmodule

CONF=/etc/ironic-inspector/inspector.conf

#PKGOS-INCLUDE#

pkgos_var_user_group ironic-inspector
pkgos_dbc_read_conf -pkg ironic-inspector ${CONF} database connection ironic-inspector $@
pkgos_read_admin_creds ${CONF} keystone_authtoken ironic-inspector
pkgos_register_endpoint_config ironic-inspector

exit 0
